<?php
	if( $docroot == '' ){
		die( _("Accesso negato!") );
	}
	
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
			

				$query = "UPDATE co_tipidocumento_gruppo SET descrizione=\"$descrizione\"  WHERE id=\"".$id_record."\"";

				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni Categorie Numerazione salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$codice = save( $_POST['codice'] );
				$descrizione = save( $_POST['descrizione'] );

				$query = "INSERT INTO co_tipidocumento_gruppo( descrizione ,codice ) VALUES ( \"$descrizione\" , \"$codice\" )";
				$dbo->query($query);
				$id_record = $dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Nuova categoria aggiunta!" );
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM co_tipidocumento_gruppo WHERE id=\"".$id_record."\"";
				$dbo->query($query);

				array_push( $_SESSION['infos'], "Categoria eliminato!" );
			}
			break;
	}
?>
